Component.AccessibleAWTComponent.AccessibleAWTFocusHandler (Java Platform SE 8 )
Keywords: java.awt.Component.AccessibleAWTComponent.AccessibleAWTFocusHandler class
Date: 2016-12-09

java.awt

## Class Component.AccessibleAWTComponent.AccessibleAWTFocusHandler

- java.lang.Object
- - java.awt.Component.AccessibleAWTComponent.AccessibleAWTFocusHandler

- All Implemented Interfaces:
    FocusListener, EventListener
  Enclosing class:
    Component.AccessibleAWTComponent

      protected class Component.AccessibleAWTComponent.AccessibleAWTFocusHandler
      extends Object
      implements FocusListener

  Fire PropertyChange listener, if one is registered, when focus events happen
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessibleAWTFocusHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(FocusEvent event)` Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent event)` Invoked when a component loses the keyboard focus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessibleAWTFocusHandler

          protected AccessibleAWTFocusHandler()

  - ### Method Detail

    - #### focusGained

          public void focusGained(FocusEvent event)

      Description copied from interface: `FocusListener`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent event)

      Description copied from interface: `FocusListener`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.